Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts.repositories
[Java] Interface IvyArtifactRepository

    org.gradle.api.artifacts.repositories.ArtifactRepository
      org.gradle.api.artifacts.repositories.IvyArtifactRepository
          org.gradle.api.artifacts.repositories.AuthenticationSupported

All Superinterfaces:
  ArtifactRepository, AuthenticationSupported

    public interface IvyArtifactRepository
    extends ArtifactRepository, AuthenticationSupported

An artifact repository which uses an Ivy format to store artifacts and meta-data.

Field Summary
`String` | `GRADLE_ARTIFACT_PATTERN`
`String` | `GRADLE_IVY_PATTERN`
`String` | `MAVEN_ARTIFACT_PATTERN`
`String` | `MAVEN_IVY_PATTERN`

Method Summary
`void` | `artifactPattern(String pattern)` Adds an Ivy artifact pattern to use to locate artifacts in this repository.
`URI` | `getUrl()` The base URL of this repository.
`void` | `ivyPattern(String pattern)` Adds an Ivy pattern to use to locate ivy files in this repository.
`void` | `layout(String layoutName)` Specifies the layout to use with this repository, based on the root url.
`void` | `layout(String layoutName, Closure config)` Specifies the layout to use with this repository, based on the root url.
`void` | `setUrl(Object url)` Sets the base URL of this repository.

Methods inherited from interface ArtifactRepository
getName, setName

Methods inherited from interface AuthenticationSupported
credentials, getCredentials

Field Detail

### GRADLE_ARTIFACT_PATTERN

    public String GRADLE_ARTIFACT_PATTERN

### GRADLE_IVY_PATTERN

    public String GRADLE_IVY_PATTERN

### MAVEN_ARTIFACT_PATTERN

    public String MAVEN_ARTIFACT_PATTERN

### MAVEN_IVY_PATTERN

    public String MAVEN_IVY_PATTERN

Method Detail

### artifactPattern

    public void artifactPattern(String pattern)

  Adds an Ivy artifact pattern to use to locate artifacts in this repository. This pattern will be in addition to any layout-based patterns added via setUrl.
  Parameters:
    `pattern` - The artifact pattern.

### getUrl

    public URI getUrl()

  The base URL of this repository.
  Returns:
    The URL.

### ivyPattern

    public void ivyPattern(String pattern)

  Adds an Ivy pattern to use to locate ivy files in this repository. This pattern will be in addition to any layout-based patterns added via setUrl.
  Parameters:
    `pattern` - The ivy pattern.

### layout

    public void layout(String layoutName)

  Specifies the layout to use with this repository, based on the root url. See layout(String, Closure).
  Parameters:
    `layoutName` - The name of the layout to use.

### layout

    public void layout(String layoutName, Closure config)

  Specifies the layout to use with this repository, based on the root url. The returned layout is configured with the supplied closure. Available layouts are outlined below.

  #### 'gradle'

  A Repository Layout that applies the following patterns:
  - Artifacts: `$baseUri/{
    value:
      #GRADLE_ARTIFACT_PATTERN}
    `
  - Ivy: `$baseUri/{@value #GRADLE_IVY_PATTERN}`

  #### 'maven'

  A Repository Layout that applies the following patterns:
  - Artifacts: `$baseUri/{@value #MAVEN_ARTIFACT_PATTERN}`
  - Ivy: `$baseUri/{@value #MAVEN_IVY_PATTERN}`
  Following the maven convention, the 'organisation' value is further processed by replacing '.' with '/'.

  #### 'pattern'

  A repository layout that allows custom patterns to be defined. eg:

       repositories {
           ivy {
               layout 'pattern' , {
                   artifact '[module]/[revision]/[artifact](.[ext])'
                   ivy '[module]/[revision]/ivy.xml'
               }
           }
       }

Parameters:
  `layoutName` - The name of the layout to use.
  `config` - The closure used to configure the layout.

### setUrl

    public void setUrl(Object url)

  Sets the base URL of this repository. The provided value is evaluated as for Project.uri. This means, for example, you can pass in a File object or a relative path which is evaluated relative to the project directory. File are resolved based on the supplied URL and the configured layout(String, Closure) for this repository.
  Parameters:
    `url` - The base URL.

Gradle API 1.1-rc-1